Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 843284 - media-gfx/prusaslicer-2.4.2 with boost-1.79.0: hints/HintsToPot.cpp:12:28: error: ‘ofstream’ is not a member of ‘boost::filesystem’
Summary: media-gfx/prusaslicer-2.4.2 with boost-1.79.0: hints/HintsToPot.cpp:12:28: er...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: 3D Printing Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: boost-1.79
  Show dependency tree
 
Reported: 2022-05-08 10:04 UTC by Kobboi
Modified: 2022-06-23 21:20 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.gz (build.log.gz,11.91 KB, application/gzip)
2022-05-08 10:04 UTC, Kobboi
Details
emerge-info.txt (emerge-info.txt,7.79 KB, text/plain)
2022-05-08 10:04 UTC, Kobboi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kobboi 2022-05-08 10:04:13 UTC
[65/337] /usr/bin/x86_64-pc-linux-gnu-g++ -DBOOST_ATOMIC_DYN_LINK -DBOOST_ATOMIC_NO_LIB -DBOOST_CHRONO_DYN_LINK -DBOOST_CHRONO_NO_LIB -DBOOST_DATE_TIME_DYN_LINK -DBOOST_DATE_TIME_NO_LIB -DBOOST_FILESYSTEM_DYN_LINK -DBOOST_FILESYSTEM_NO_LIB -DBOOST_IOSTREAMS_DYN_LINK -DBOOST_IOSTREAMS_NO_LIB -DBOOST_LOCALE_DYN_LINK -DBOOST_LOCALE_NO_LIB -DBOOST_LOG_DYN_LINK -DBOOST_LOG_NO_LIB -DBOOST_REGEX_DYN_LINK -DBOOST_REGEX_NO_LIB -DBOOST_SYSTEM_DYN_LINK -DBOOST_SYSTEM_NO_LIB -DBOOST_THREAD_DYN_LINK -DBOOST_THREAD_NO_LIB -DSLIC3R_GUI -DUNICODE -DWXINTL_NO_GETTEXT_MACRO -D_UNICODE -DwxNO_UNSAFE_WXSTRING_CONV -DwxUSE_UNICODE -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/var/tmp/portage/media-gfx/prusaslicer-2.4.2/work/PrusaSlicer-version_2.4.2/src -I/var/tmp/portage/media-gfx/prusaslicer-2.4.2/work/PrusaSlicer-version_2.4.2_build/src/platform -isystem /usr/include/eigen3  -DNDEBUG -O2 -march=znver3 -pipe -g -ggdb3 -fext-numeric-literals -Wall -Wno-reorder -fPIE -fsigned-char -Werror=return-type -Wno-ignored-attributes -Wno-unknown-pragmas -std=gnu++17 -MD -MT src/hints/CMakeFiles/hintsToPot.dir/HintsToPot.cpp.o -MF src/hints/CMakeFiles/hintsToPot.dir/HintsToPot.cpp.o.d -o src/hints/CMakeFiles/hintsToPot.dir/HintsToPot.cpp.o -c /var/tmp/portage/media-gfx/prusaslicer-2.4.2/work/PrusaSlicer-version_2.4.2/src/hints/HintsToPot.cpp
FAILED: src/hints/CMakeFiles/hintsToPot.dir/HintsToPot.cpp.o 
/usr/bin/x86_64-pc-linux-gnu-g++ -DBOOST_ATOMIC_DYN_LINK -DBOOST_ATOMIC_NO_LIB -DBOOST_CHRONO_DYN_LINK -DBOOST_CHRONO_NO_LIB -DBOOST_DATE_TIME_DYN_LINK -DBOOST_DATE_TIME_NO_LIB -DBOOST_FILESYSTEM_DYN_LINK -DBOOST_FILESYSTEM_NO_LIB -DBOOST_IOSTREAMS_DYN_LINK -DBOOST_IOSTREAMS_NO_LIB -DBOOST_LOCALE_DYN_LINK -DBOOST_LOCALE_NO_LIB -DBOOST_LOG_DYN_LINK -DBOOST_LOG_NO_LIB -DBOOST_REGEX_DYN_LINK -DBOOST_REGEX_NO_LIB -DBOOST_SYSTEM_DYN_LINK -DBOOST_SYSTEM_NO_LIB -DBOOST_THREAD_DYN_LINK -DBOOST_THREAD_NO_LIB -DSLIC3R_GUI -DUNICODE -DWXINTL_NO_GETTEXT_MACRO -D_UNICODE -DwxNO_UNSAFE_WXSTRING_CONV -DwxUSE_UNICODE -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/var/tmp/portage/media-gfx/prusaslicer-2.4.2/work/PrusaSlicer-version_2.4.2/src -I/var/tmp/portage/media-gfx/prusaslicer-2.4.2/work/PrusaSlicer-version_2.4.2_build/src/platform -isystem /usr/include/eigen3  -DNDEBUG -O2 -march=znver3 -pipe -g -ggdb3 -fext-numeric-literals -Wall -Wno-reorder -fPIE -fsigned-char -Werror=return-type -Wno-ignored-attributes -Wno-unknown-pragmas -std=gnu++17 -MD -MT src/hints/CMakeFiles/hintsToPot.dir/HintsToPot.cpp.o -MF src/hints/CMakeFiles/hintsToPot.dir/HintsToPot.cpp.o.d -o src/hints/CMakeFiles/hintsToPot.dir/HintsToPot.cpp.o -c /var/tmp/portage/media-gfx/prusaslicer-2.4.2/work/PrusaSlicer-version_2.4.2/src/hints/HintsToPot.cpp
/var/tmp/portage/media-gfx/prusaslicer-2.4.2/work/PrusaSlicer-version_2.4.2/src/hints/HintsToPot.cpp: In function ‘bool write_to_pot(boost::filesystem::path, const std::vector<std::pair<std::__cxx11::basic_string<char>, std::__cxx11::basic_string<char> > >&)’:
/var/tmp/portage/media-gfx/prusaslicer-2.4.2/work/PrusaSlicer-version_2.4.2/src/hints/HintsToPot.cpp:12:28: error: ‘ofstream’ is not a member of ‘boost::filesystem’
   12 |         boost::filesystem::ofstream file(std::move(path), std::ios_base::app);
      |                            ^~~~~~~~
/var/tmp/portage/media-gfx/prusaslicer-2.4.2/work/PrusaSlicer-version_2.4.2/src/hints/HintsToPot.cpp:12:28: note: suggested alternatives:
In file included from /usr/lib/gcc/x86_64-pc-linux-gnu/11.3.0/include/g++-v11/ios:38,
                 from /usr/lib/gcc/x86_64-pc-linux-gnu/11.3.0/include/g++-v11/ostream:38,
                 from /usr/lib/gcc/x86_64-pc-linux-gnu/11.3.0/include/g++-v11/iostream:39,
                 from /var/tmp/portage/media-gfx/prusaslicer-2.4.2/work/PrusaSlicer-version_2.4.2/src/hints/HintsToPot.cpp:1:
/usr/lib/gcc/x86_64-pc-linux-gnu/11.3.0/include/g++-v11/iosfwd:165:41: note:   ‘std::ofstream’
  165 |   typedef basic_ofstream<char>          ofstream;
      |                                         ^~~~~~~~
/usr/lib/gcc/x86_64-pc-linux-gnu/11.3.0/include/g++-v11/iosfwd:165:41: note:   ‘std::ofstream’
/var/tmp/portage/media-gfx/prusaslicer-2.4.2/work/PrusaSlicer-version_2.4.2/src/hints/HintsToPot.cpp:20:17: error: ‘file’ was not declared in this scope
   20 |                 file << "\n#: resources/data/hints.ini: ["<< element.first << "]\nmsgid \"" << element.second << "\"\nmsgstr \"\"\n";
      |                 ^~~~
/var/tmp/portage/media-gfx/prusaslicer-2.4.2/work/PrusaSlicer-version_2.4.2/src/hints/HintsToPot.cpp:22:9: error: ‘file’ was not declared in this scope
   22 |         file.close();
      |         ^~~~


Reproducible: Always
Comment 1 Kobboi 2022-05-08 10:04:22 UTC
Created attachment 777491 [details]
build.log.gz
Comment 2 Kobboi 2022-05-08 10:04:24 UTC
Created attachment 777494 [details]
emerge-info.txt
Comment 3 Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2022-05-08 23:03:47 UTC
master branch was supposed to contain fixes for it but is still missing some headers and even when I add them it fails somewhere else. Will bring it up upstream.
Comment 4 Larry the Git Cow gentoo-dev 2022-05-09 08:44:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d3635b05d63dd83c51b18be613effb415f549ff

commit 2d3635b05d63dd83c51b18be613effb415f549ff
Author:     Piotr Karbowski <slashbeast@gentoo.org>
AuthorDate: 2022-05-09 08:42:53 +0000
Commit:     Piotr Karbowski <slashbeast@gentoo.org>
CommitDate: 2022-05-09 08:44:49 +0000

    media-gfx/prusaslicer: 20220506 snapshot with Boost 1.79.0 patch.
    
    Bug: https://github.com/prusa3d/PrusaSlicer/issues/8302
    Fixes: https://bugs.gentoo.org/843284
    Signed-off-by: Piotr Karbowski <slashbeast@gentoo.org>

 media-gfx/prusaslicer/Manifest                     |  1 +
 .../files/prusaslicer-boost-1.79.0-fixes.patch     | 52 ++++++++++++++
 .../prusaslicer/prusaslicer-2.4.2_p20220506.ebuild | 80 ++++++++++++++++++++++
 3 files changed, 133 insertions(+)